Skip to main content
GET
Search for Group of Missions by ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignID
string<uuid>
required

Query Parameters

includeTaskStats
boolean
default:false

If this set to true, then additional tasks stats fields will be set for the campaign in the response which include:

  • tasksTotal
  • tasksCompleted
  • tasksPassed
  • tasksFailed
includeCatalogCategory
boolean
default:false

If set to true, then the CampaignCatalog that this Campaign belongs to will be included in the response.

creditsDeducted
boolean
default:false

Whether to return deducted credits.

Response

Successful operation.

Response model used by the GET /campaigns/:campaignID endpoint.

id
string<uuid>
title
string
description
string
assetType
string[]
isRetestable
boolean

This flag will be set to true if these conditions are met:

  • The campaign is completed.
  • The campaign is not a retest (parentUid is NULL).
  • The campaign's listing has the boss active flag set to true.
  • The campaign's listing has active tests.
  • The campaign's listing is not paused by the client.
parentUid
string<uuid> | null
status
enum<string>

Campaign status enum.

Available options:
CREATED,
COMPLETED,
PUBLISHED
createdOn
string<date>
modifiedOn
string<date> | null
publishedOn
string<date> | null
completedOn
string<date> | null
scheduledOn
string<date> | null
listing
object
scope
string
tasksCompleted
integer
tasksTotal
integer
tasksPassed
integer
tasksFailed
integer
campaignTemplateUid
string<uuid>
campaignTemplateVersion
integer
deactivated
string<date> | null
organizationUid
string<uuid>
creditsDeducted
integer | null
catalogCategory
object

The CatalogCategory which this Campaign belongs to (via CampaignTemplate).